package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.sys.entity.SysArea;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 地区表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-07-10
 */
public interface ISysAreaService extends IBaseService<SysArea> {

    Page<SysArea> page(Page<SysArea> page, SysArea sysArea);

    List<SysArea> listByCityCode(String cityCode);

    List<Map<String, Object>> listByCityId(Long cityId);

    boolean existByCityCode(String cityCode);
}
